snapshot/release question

John Quigley jmquigs at
Sat Feb 1 16:55:01 EST 2003

I ran into an issue with loki_update compatibility, just wanted to get 
people's thoughts on it...

I just finished work on the marble blast installer.   
(  I used the cvs 
versions of setup and setupdb for this.  However, when I ran an older version 
of loki update on an installed marble blast, it said this:

Searching for installed products... Warning: This XML file was generated with 
a later version of setupdb (1.6).
Problems may occur.

This scared me a bit, so I made the (perhaps unwise) decision to rename the 
loki prefix for my setup programs to ".gglokisetup" instead of ".loki" so 
that those old updaters wouldn't mess with my new files.  This worked, but 
unfortunately it put me in to my own little loki update world (i.e., users 
with Marble blast installed can only update it with my version of loki 
update, not the one that other games use.).

I've got two more games in the pipeline and am considering going to back to 
".loki" for them, so that life is easier for users.  Just wondering if anyone 
has run into problems with old tools using the new files.

PS: Thanks for writing these tools.  The install process is quite smooth, and 
it would have been complete suckage without them.

On Monday 27 January 2003 05:08 pm, Stephane Peter wrote:
> There hasn't really been an official release since Loki's demise.
> However, I am planning to put together a 1.6.x release soon-ish, maybe
> after the OSX port gets merged (if that gets done quite soon).
> In the meantime, CVS seems to be quite stable.
> On Mon, 2003-01-27 at 16:43, Chris Thielen wrote:
> > Hello,
> > 	I've never had a problem with loki_setup before, but with various
> > patches applied to CVS and CVS being the only place to get the code, I
> > was wondering if snapshots or releases of the loki_setup tools existed,
> > or are planned to exist, or is CVS considered to become better with
> > every patch?

More information about the Lokisetup mailing list